* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.svg-container {
  display: flex;
  align-items: center;
  gap: 0;
  overflow: hidden;
  cursor: pointer;
  margin-left: 12px;
}


.hover-svg {
  transition: transform 0.3s ease-in-out;
}

.cloned-svg {
  opacity: 0;
  transform: translateX(-10px);
  transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out;
}